app/routes/web.php
<?php
 
use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\LocaleController;
use App\Http\Controllers\Auth\SignUpController;
use App\Http\Controllers\Auth\SignInController;
use App\Http\Controllers\Auth\AccountController;

Route::get('locale/{lang}', [LocaleController::class,'setLocale']);

Route::get('/', function () {
    return view('main');
});
Route::get('/admin', function () {
    return view('admin');
}); 

// Sign-Up Routes
Route::get('/sign-up', [SignUpController::class, 'showSignUpForm'])->name('sign-up.form');
Route::post('/sign-up', [SignUpController::class, 'signUp'])->name('sign-up.post');

// Sign-In Routes
Route::get('/sign-in', [SignInController::class, 'showSignInForm'])->name('sign-in.form');
Route::post('/sign-in', [SignInController::class, 'signIn'])->name('sign-in.post');

// In routes/web.php
Route::get('/my-account', [AccountController::class, 'index'])->name('my-account');

 
Route::post('sign-out', [SignInController::class, 'signOut'])->name('sign-out');

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});
 
//added profile_settings.blade.php
Route::get('/profile-settings', function () {
    return view('profile_settings');
})->name('profile.settings');



 
require __DIR__.'/auth.php';

app/app/Models/User.php
<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    protected $fillable = [
        'first_name', 'last_name', 'id_number', 'email', 'password',
    ];

    protected $hidden = [
        'password', 'remember_token',
    ];

    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

abstract class Controller
{
    //
}

app/app/Http/Controllers/LocaleController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Session;


class LocaleController extends Controller
{
    public function setLocale($lang){
        if (in_array($lang,['en','ge'])) {
            App::setLocale($lang);
            Session::put('locale', $lang);
        }
        return back();
    }
}

app/app/Http/Controllers/MainController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class MainController extends Controller
{
    public function index()
    {
        return view('main');
    }
}

app/app/Http/Controllers/ProfileController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\ProfileUpdateRequest;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use Illuminate\View\View;

class ProfileController extends Controller
{
    /**
     * Display the user's profile form.
     */
    public function edit(Request $request): View
    {
        return view('profile.edit', [
            'user' => $request->user(),
        ]);
    }

    /**
     * Update the user's profile information.
     */
    public function update(ProfileUpdateRequest $request): RedirectResponse
    {
        $request->user()->fill($request->validated());

        if ($request->user()->isDirty('email')) {
            $request->user()->email_verified_at = null;
        }

        $request->user()->save();

        return Redirect::route('profile.edit')->with('status', 'profile-updated');
    }

    /**
     * Delete the user's account.
     */
    public function destroy(Request $request): RedirectResponse
    {
        $request->validateWithBag('userDeletion', [
            'password' => ['required', 'current_password'],
        ]);

        $user = $request->user();

        Auth::logout();

        $user->delete();

        $request->session()->invalidate();
        $request->session()->regenerateToken();

        return Redirect::to('/');
    }
}

app/app/View/Components/AppLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Illuminate\View\View;

class AppLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     */
    public function render(): View
    {
        return view('layouts.app');
    }
}

app/app/View/Components/GuestLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Illuminate\View\View;

class GuestLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     */
    public function render(): View
    {
        return view('layouts.guest');
    }
}

app/resources/views/account_settings.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Profile Settings</title>

    <link rel="stylesheet" href="{{ asset('css/font_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/header_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/footer_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/profile_style.css') }}">
</head>

<body>

    <!-- header -->
    @include('header')
    <!-- header -->

    <div class="profile-settings-form">
        <p class="title">
            @lang('messages.my_account')
        </p>
        
        <form action="#" method="post">
            @csrf
            <!-- Profile Settings Form -->
            <div>
                <span>Giorgi Kenjia</span>
                <img src="{{ asset('images/edit-icon.png') }}" class="edit-icon" alt="Edit profile">
            </div>

            <div>
                <span>Gio.Kenjia@gmail.com</span>
                <img src="{{ asset('images/edit-icon.png') }}" class="edit-icon" alt="Edit email">
            </div>

            <div>
                <span>12345678910</span>
                <img src="{{ asset('images/edit-icon.png') }}" class="edit-icon" alt="Edit phone number">
            </div>

            <div>
                <span>+995599874811</span>
                <img src="{{ asset('images/edit-icon.png') }}" class="edit-icon" alt="Edit secondary phone number">
            </div>

            <div>
                <span>********</span>
                <img src="{{ asset('images/edit-icon.png') }}" class="edit-icon" alt="Edit secondary phone number">
            </div>
            <div>
                <img src="{{ asset('images/save-icon.png') }}" class="save-icon" alt="Save secondary phone number">
                <img src="{{ asset('images/delete-icon.png') }}" class="delete-icon" alt="Edit secondary phone number">
            </div>
        </form>
    </div>

    <!-- footer -->
    @include('footer')
    <!-- footer -->

</body>

</html>

app/resources/views/admin.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin</title>


    <link rel="stylesheet" href="{{ asset('css/font_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/header_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/footer_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/admin_style.css') }}">
</head>

<body>
    <!-- header -->
    @include('header')
    <!-- header -->

    <!-- main -->
    
<!-- main -->
    <div class="main">
    <div class="box">
        <p>1234567</p>
        <button class="delete-button">Delete</button>
        <button class="submit-button">Submit</button>
    </div>
    <div class="box">
        <p>1234567</p>
        <button class="delete-button">Delete</button>
        <button class="submit-button">Submit</button>
    </div>
    <div class="box">
        <p>1234567</p>
        <button class="delete-button">Delete</button>
        <button class="submit-button">Submit</button>
    </div>
    <div class="box">
        <p>1234567</p>
        <button class="delete-button">Delete</button>
        <button class="submit-button">Submit</button>
    </div>
    <div class="box">
        <p>1234567</p>
        <button class="delete-button">Delete</button>
        <button class="submit-button">Submit</button>
    </div>

</div>
    <!-- main -->
    <!-- main -->

    <!-- footer -->
    @include('footer')
    <!-- footer -->
</body>

</html>

app/resources/views/dashboard.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Dashboard') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 text-gray-900">
                    {{ __("You're logged in!") }}
                </div>
            </div>
        </div>
    </div>
</x-app-layout>

app/resources/views/footer.blade.php
<div class="footer">
        <div class="contact-info-left">
            <div class="email">
                <p><a href='mailto:@lang('messages.contact_email')'>@lang('messages.contact_email')</a></p>
            </div>
            <div class="phone">
                <p><a href="tel:@lang('messages.contact_phone')">@lang('messages.contact_phone')</a></p>
            </div>
        </div>

        <div class="contact-info-center">
          
                <p>
                    <?php echo date("Y") ?>
                </p>
                <p>@lang('messages.copyright')</p>
              
          
        </div>
        <div class="contact-info-right">
            <div class="address">
                <p><a href="https://maps.app.goo.gl/s7df6ESTkNgyipJR9">@lang('messages.agencyadress')</a></p>
            </div>
            <div class="website">
                <p><a href="http://ama.gov.ge/" style="width: 225px">@lang('messages.website')</a></p>
            </div>
        </div>


    </div>

app/resources/views/header.blade.php
@section('header')

    <div class="header">
        <div class="logo">
            <a href="/"><img src="http://ama.gov.ge/assets/images/animal-logo.png" alt="Company Logo"></a>
        </div>
        <div class="header-buttons">
            <div class="user-actions">
                @auth
                    <div class="user-name">
                        <a href="{{ route('my-account') }}">
                            <p>{{ Auth::user()->first_name }}!</p>
                        </a>
                    </div>
                    <div class="sign-out">
                        <form id="signout-form" action="{{ route('sign-out') }}" method="POST" style="display: inline;">
                            @csrf
                            <a href="#" onclick="event.preventDefault(); document.getElementById('signout-form').submit();">
                                <p>@lang('messages.sign_out')</p>
                            </a>
                        </form>
                    </div>
                @endauth

                @guest
                    <div class="sign-in">
                        <a href="{{ route('sign-in.form') }}">
                            <p>
                                @lang('messages.sign_in')
                            </p>
                        </a>
                    </div>
                    <div class="sign-up">
                        <a href="{{ route('sign-up.form') }}">
                            <p>
                                @lang('messages.sign_up')
                            </p>
                        </a>
                    </div>
                @endguest
            </div>

            <div class="language-buttons">
                <div class="ENG">
                    <a href="/locale/en">
                        <p>
                            @lang('messages.en')
                        </p>
                    </a>
                </div>

                <div class="GE">
                    <a href="/locale/ge">
                        <p>
                            @lang('messages.ge')
                        </p>
                    </a>
                </div>

            </div>


        </div>
    </div>
 

app/resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />

        <!-- Scripts -->
        @vite(['resources/css/app.css', 'resources/js/app.js'])
    </head>
    <body class="font-sans antialiased">
        <div class="min-h-screen bg-gray-100">
            @include('layouts.navigation')

            <!-- Page Heading -->
<<<<<<< HEAD
            @isset($header)
=======
            @if (isset($header))
>>>>>>> 2ac850648947a6bfbdd0ec0fa1ff73968261da22
                <header class="bg-white shadow">
                    <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                        {{ $header }}
                    </div>
                </header>
            @endif

            <!-- Page Content -->
            <main>
                {{ $slot }}
            </main>
        </div>
    </body>
</html>

app/resources/views/layouts/guest.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />

        <!-- Scripts -->
        @vite(['resources/css/app.css', 'resources/js/app.js'])
    </head>
    <body class="font-sans text-gray-900 antialiased">
        <div class="min-h-screen flex flex-col sm:justify-center items-center pt-6 sm:pt-0 bg-gray-100">
            <div>
                <a href="/">
                    <x-application-logo class="w-20 h-20 fill-current text-gray-500" />
                </a>
            </div>

            <div class="w-full sm:max-w-md mt-6 px-6 py-4 bg-white shadow-md overflow-hidden sm:rounded-lg">
                {{ $slot }}
            </div>
        </div>
    </body>
</html>

app/resources/views/layouts/navigation.blade.php
<nav x-data="{ open: false }" class="bg-white border-b border-gray-100">
    <!-- Primary Navigation Menu -->
    <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
        <div class="flex justify-between h-16">
            <div class="flex">
                <!-- Logo -->
                <div class="shrink-0 flex items-center">
                    <a href="{{ route('dashboard') }}">
                        <x-application-logo class="block h-9 w-auto fill-current text-gray-800" />
                    </a>
                </div>

                <!-- Navigation Links -->
                <div class="hidden space-x-8 sm:-my-px sm:ms-10 sm:flex">
                    <x-nav-link :href="route('dashboard')" :active="request()->routeIs('dashboard')">
                        {{ __('Dashboard') }}
                    </x-nav-link>
                </div>
            </div>

            <!-- Settings Dropdown -->
            <div class="hidden sm:flex sm:items-center sm:ms-6">
                <x-dropdown align="right" width="48">
                    <x-slot name="trigger">
                        <button class="inline-flex items-center px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 bg-white hover:text-gray-700 focus:outline-none transition ease-in-out duration-150">
                            <div>{{ Auth::user()->name }}</div>

                            <div class="ms-1">
                                <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                                    <path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd" />
                                </svg>
                            </div>
                        </button>
                    </x-slot>

                    <x-slot name="content">
                        <x-dropdown-link :href="route('profile.edit')">
                            {{ __('Profile') }}
                        </x-dropdown-link>

                        <!-- Authentication -->
                        <form method="POST" action="{{ route('logout') }}">
                            @csrf

                            <x-dropdown-link :href="route('logout')"
                                    onclick="event.preventDefault();
                                                this.closest('form').submit();">
                                {{ __('Log Out') }}
                            </x-dropdown-link>
                        </form>
                    </x-slot>
                </x-dropdown>
            </div>

            <!-- Hamburger -->
            <div class="-me-2 flex items-center sm:hidden">
                <button @click="open = ! open" class="inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-gray-500 hover:bg-gray-100 focus:outline-none focus:bg-gray-100 focus:text-gray-500 transition duration-150 ease-in-out">
                    <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                        <path :class="{'hidden': open, 'inline-flex': ! open }" class="inline-flex" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
                        <path :class="{'hidden': ! open, 'inline-flex': open }" class="hidden" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                    </svg>
                </button>
            </div>
        </div>
    </div>

    <!-- Responsive Navigation Menu -->
    <div :class="{'block': open, 'hidden': ! open}" class="hidden sm:hidden">
        <div class="pt-2 pb-3 space-y-1">
            <x-responsive-nav-link :href="route('dashboard')" :active="request()->routeIs('dashboard')">
                {{ __('Dashboard') }}
            </x-responsive-nav-link>
        </div>

        <!-- Responsive Settings Options -->
        <div class="pt-4 pb-1 border-t border-gray-200">
            <div class="px-4">
                <div class="font-medium text-base text-gray-800">{{ Auth::user()->name }}</div>
                <div class="font-medium text-sm text-gray-500">{{ Auth::user()->email }}</div>
            </div>

            <div class="mt-3 space-y-1">
                <x-responsive-nav-link :href="route('profile.edit')">
                    {{ __('Profile') }}
                </x-responsive-nav-link>

                <!-- Authentication -->
                <form method="POST" action="{{ route('logout') }}">
                    @csrf

                    <x-responsive-nav-link :href="route('logout')"
                            onclick="event.preventDefault();
                                        this.closest('form').submit();">
                        {{ __('Log Out') }}
                    </x-responsive-nav-link>
                </form>
            </div>
        </div>
    </div>
</nav>

app/resources/views/main.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Main</title>
    <link rel="stylesheet" href="{{ asset('css/main_page_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/map_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/header_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/footer_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/font_style.css') }}">
    <script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>
    <script src="{{ asset('js/map.js') }}"></script>
    <script src="{{ asset('js/form.js') }}"></script>
    
        
</head>

<body>
    <script>
        var localizationStrings = {!! json_encode([
            'restriction' => __('messages.restriction'),
        ]) !!};
    </script>
    <!-- header -->
    @include('header')
    <!-- header -->
    <button class="report-menu-toggle">
  <span class="line"></span>
  <span class="line"></span>
  <span class="line"></span>
</button>

    <div class="main-container">
        <div class="report">
            <div class="title">
                <!-- <div class="welcome">
                    @auth
                    @else
                        <p>@lang('messages.please_sign_in')</p>
                        <a href="{{ route('sign-in.form') }}">@lang('messages.sign_in')</a>
                    @endauth
                </div> -->
                <!-- sign in gaket figmas ren tesh -->
                @lang('messages.report')
            </div>
            <div class="inputs">
                <label for="animalTypeDropdown"></label>
                <select class="dropdown-box" id="animalTypeDropdown" onchange="checkOther(this)">
                    <option value="" disabled selected hidden>@lang('messages.animal type')</option>
                    <option value="option1">@lang('messages.dogoption')</option>
                    <option value="option2">@lang('messages.catoption')</option>
                    <option value="option3">@lang('messages.otheroption')</option>
                </select>
                
                <label for="animalCountDropdown"></label>
                <select class="dropdown-box" id="animalCountDropdown" onchange="checkOther(this)">
                    <option value="" disabled selected hidden>@lang('messages.animal count')</option>
                    <option value="option1">1</option>
                    <option value="option2">2</option>
                    <option value="option3">@lang('messages.otheroption')</option>
                </select>
                
                <label for="vaccinationDropdown"></label>
                <select class="dropdown-box" id="vaccinationDropdown" onchange="checkOther(this)">
                    <option value="" disabled selected hidden>@lang('messages.vaccination')</option>
                    <option value="option1">@lang('messages.yesoption')</option>
                    <option value="option2">@lang('messages.nooption')</option>
                </select>
                
                <label for="hazardHumanDropdown"></label>
                <select class="dropdown-box" id="hazardHumanDropdown" onchange="checkOther(this)">
                    <option value="" disabled selected hidden>@lang('messages.hazardhuman')</option>
                    <option value="option1">@lang('messages.yesoption')</option>
                    <option value="option2">@lang('messages.nooption')</option>
                </select>
                
                <div class="title">@lang('messages.adress1')</div>
                <input type="text" id="addressLine" name="address">
                <input type="comments" placeholder='@lang('messages.comments')' name="comments">
                <input type="text" id="otherInput" placeholder="Specify other option" style="display: none;">
            </div>
            
            <button type="submit">@lang('messages.report')</button>
        </div>
        <div id="map"></div>
        <script
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAM4uqenRG6y3MfvcaqnN9K7polTmttfN4&callback=initMap&v=weekly&solution_channel=GMP_CCS_geocodingservice_v1"
            defer></script>
    </div>
    <!-- footer -->
    @include('footer')
    <!-- footer -->
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            var toggleButton = document.getElementById('toggleReportButton');
            var reportDiv = document.querySelector('.report');
            toggleButton.addEventListener('click', function () {
                reportDiv.classList.toggle('visible');
            });
        });
    </script>
</body>

</html>

app/resources/views/my_account.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sign In</title>

    <link rel="stylesheet" href="{{ asset('css/font_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/sign_in_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/header_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/footer_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/sign_up_style.css') }}">
</head>

<body>

<!-- header -->
@include('header')
<!-- header -->


<!-- Main content -->
<div class="account-info">
	<h1>@lang('messages.my_account')</h1>
	<ul>
		<li><strong>@lang('messages.first_name'): </strong>{{ $user->first_name }}</li>
		<li><strong>@lang('messages.last_name'): </strong>{{ $user->last_name }}</li>
		<li><strong>@lang('messages.id_number'): </strong>{{ $user->id_number }}</li>
		<li><strong>@lang('messages.email'): </strong>{{ $user->email }}</li>
	</ul>
</div>
<!-- Main content -->

<!-- footer -->
@include('footer')
<!-- footer -->

</body>
</html>

app/resources/views/sign_in.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sign In</title>

    <link rel="stylesheet" href="{{ asset('css/font_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/sign_in_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/header_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/footer_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/sign_up_style.css') }}">
</head>

<body>

    <!-- header -->
    @include('header')
    <!-- header -->

    <!-- main -->
    <div class="main-container">
        <div class="registration-form">
            <p class="title">
                @lang('messages.sign_in')
            </p>
            <form action="{{ route('sign-in.post') }}" method="post">
                @csrf
                <!-- Sign-In Form -->

                <div>
                    <x-text-input placeholder="{{ __('messages.email') }}" id="email" type="email" name="email"
                        :value="old('email')" required autofocus autocomplete="username" />
                    <x-input-error :messages="$errors->get('email')" />
                </div>

                <div>
                    <input type="password" placeholder='@lang('messages.password')' name="password" required>
                    <x-input-error :messages="$errors->get('password')" />
                </div>

                <button type="submit">@lang('messages.submit')</button>
            </form>
            <div class="alternative-options">
                <p>@lang('messages.not_registetered_yet?')<a href="{{ route('sign-up.form') }}">@lang('messages.sign_up')</a></p>
                <p>@lang('messages.forgot')<a href="">@lang('messages.recover')</a></p>
            </div>
        </div>
    </div>

    <!-- footer -->
    @include('footer')
    <!-- footer -->

</body>

</html>

app/resources/views/sign_up.blade.php
 <!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sign Up</title>
    <link rel="stylesheet" href="{{ asset('css/font_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/sign_in_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/header_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/footer_style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/sign_up_style.css;') }}">
</head>

<body>

 <!-- header -->
 @include('header')
 <!-- header -->
    

    <!-- main -->

    <div class="registration-form">
        <p class="title">
            @lang('messages.sign_up')
        </p>
        
        <form action="{{ route('sign-up.post') }}" method="post">
            @csrf
            <form action="{{ route('sign-up.post') }}" method="post">
                @csrf
                <div class="input">
                    <!-- First Name -->
                    <input type="text" placeholder="@lang('messages.first_name')" name="first-name" value="{{ old('first-name') }}" required>
                    @error('first-name')
                        <div class="error">{{ $message }}</div>
                    @enderror
            
                    <!-- Last Name -->
                    <input type="text" placeholder="@lang('messages.last_name')" name="last-name" value="{{ old('last-name') }}" required>
                    @error('last-name')
                        <div class="error">{{ $message }}</div>
                    @enderror
            
                    <!-- ID Number -->
                    <input type="text" placeholder="@lang('messages.id_number')" name="id-number" pattern="[0-9]+" title="Please enter only numbers" value="{{ old('id-number') }}" required>
                    @error('id-number')
                        <div class="error">{{ $message }}</div>
                    @enderror
            
                    <!-- Email -->
                    <input type="email" placeholder="@lang('messages.email')" name="email" value="{{ old('email') }}" required>
                    @error('email')
                        <div class="error">{{ $message }}</div>
                    @enderror
            
                    <!-- Password -->
                    <input type="password" placeholder="@lang('messages.password')" name="password" required>
                    @error('password')
                        <div class="error">{{ $message }}</div>
                    @enderror
            
                    <!-- Confirm Password -->
                    <input type="password" placeholder="@lang('messages.confirm_password')" name="password_confirmation" required>
                    @error('password_confirmation')
                        <div class="error">{{ $message }}</div>
                    @enderror
            
                    <button type="submit">@lang('messages.submit')</button>
                </div>
            </form>
            
        </form>

        <p>@lang('messages.already_have_an_account?')<a href="sign-in">@lang('messages.sign_in')</a></p>
    </div>

    <!-- main -->


    <!-- footer -->
    @include('footer')
    <!-- footer -->
   


</body>


</html>